# Block design hooks for IXIP

proc set_msg_config_if_needed { msg_id severity } {
    set existing_rules [get_msg_config -rules]
    if {[string first $msg_id $existing_rules] == -1} {
        set_msg_config -id $msg_id -new_severity $severity
    }
}

proc init { cellpath otherInfo } {
    set_msg_config_if_needed {Vivado 12-1411} WARNING
    set_msg_config_if_needed {Vivado 12-2285} WARNING
}

